export default {
	name: { type: String, required: true },
	youtubeChannels: [
		{
			youtubeChannelId: { type: String },
			comment: { type: String }
		}
	],
	spotifyArtists: [
		{
			spotifyArtistId: { type: String },
			comment: { type: String }
		}
	],
	soundcloudArtists: [
		{
			soundcloudArtistId: { type: String },
			comment: { type: String }
		}
	],
	musicbrainzIdentifier: { type: String, required: true },
	musicbrainzData: { type: Object, required: true },
	comment: { type: String },
	createdBy: { type: String, required: true },
	createdAt: { type: Number, default: Date.now, required: true },
	documentVersion: { type: Number, default: 1, required: true }
};
